Bug 1021845 - virt-viewer can not configure multi-dispalys optionally
virt-viewer can not configure multi-dispalys optionally
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virt-viewer (Show other bugs)
6.5
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Virt Viewer Maint
Virtualization Bugs
:
Depends On:
Blocks: 1021862
  Show dependency treegraph
 
Reported: 2013-10-22 04:17 EDT by CongDong
Modified: 2015-05-11 18:16 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1021862 (view as bug list)
Environment:
Last Closed: 2014-02-26 17:51:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
virt-viewer log for Scenario 1 (140.67 KB, text/x-log)
2013-10-22 04:19 EDT, CongDong
no flags Details
virt-viewer log for Scenario 2 (90.69 KB, text/x-log)
2013-10-22 04:19 EDT, CongDong
no flags Details

  None (edit)
Description CongDong 2013-10-22 04:17:43 EDT
Description of problem:
Virt-viewer can not configure multi-displays optionally

Version-Release number of selected component (if applicable):
# rpm -qa virt-viewer spice*
spice-gtk-0.20-9.el6.x86_64
spice-glib-0.20-9.el6.x86_64
virt-viewer-0.5.2-18.el6.x86_64
spice-server-0.12.4-6.el6.x86_64
spice-vdagent-0.14.0-2.el6.x86_64
spice-gtk-python-0.20-9.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
Scenario 1:
1. Prepare a rhel guest.
2. Configure the guest with only 1 display, use virt-viewer to connect it.
#virt-viewer vm
3. View - > Displays - > Display 4(check on)
4. Can see display 4 come out, but display 2 and display 3 will come out too.

Scenario 2:
5. Configure the guest with 4 displays.
6. View - > Displays - > Display 2(check off)
7. After check off the display, the display 2 will disappear, but it will come out soon.

Actual results:
As step 4 and 7.

Expected results:
Can configure the displays optionally.
Step4, display 2 and display 3 should not come out.
Step7, display 2 should not come out again.

Additional info:
Comment 1 CongDong 2013-10-22 04:19:02 EDT
Created attachment 814889 [details]
virt-viewer log for Scenario 1
Comment 2 CongDong 2013-10-22 04:19:43 EDT
Created attachment 814890 [details]
virt-viewer log for Scenario 2
Comment 3 CongDong 2013-11-21 03:37:43 EST
Correct the version in description:

virt-viewer version in the description should be
virt-viewer-0.5.6-8.el6.x86_64


But can not reproduce now on rhel6.5rc.
Comment 4 Jonathon Jongsma 2014-02-26 17:51:34 EST
This now works.

Note You need to log in before you can comment on or make changes to this bug.